from django.conf.urls import include, url

from rest_framework import routers

from course_inspector.books.views import BookAPIViewSet
from course_inspector.courses.views import (
    CourseAPIViewSet,
    CourseUniversityAPIViewSet,
    UniversityAPIViewSet,
)


router = routers.DefaultRouter()

router.register(r'books', BookAPIViewSet, base_name='books')
router.register(r'courses', CourseAPIViewSet, base_name='courses')
router.register(
    r'university_courses/(?P<university_short_name>[a-zA-Z0-9-]+)',
    CourseUniversityAPIViewSet,
    base_name='university_courses'
)
router.register(
    r'universities', UniversityAPIViewSet, base_name='universities')

urlpatterns = [
    url(r'', include(router.urls, namespace='v1')),
]
