from bs4 import BeautifulSoup

import requests


def get_book_url(isbn):
    url = 'http://www.pearsoned.co.uk/bookshop/results.asp'
    opts = {'QuickSearch': 1, 'ddbDept': 'All', 'txtSearch': isbn}
    res = requests.post(url, opts)
    return res.url


def get_toc(url):
    html = requests.get(url+'&tab=Table of Contents').content
    soup = BeautifulSoup(html, 'html.parser')
    return soup.find('div', {'id': 'Tab1'}).find('div', {'class': 'desc-text'})


def get_chapters_from_toc(toc_html):
    res = []
    paragraphs = toc_html.findAll('p')
    for p in paragraphs:
        chapter = {}
        if not p.text[0].isdigit():
            continue
        chapter['name'] = ''.join([i for i in p.text if not i.isdigit()])
        chapter['number'] = ''.join([i for i in p.text if i.isdigit()])
        chapter['content'] = None
        res.append(chapter)
    return res


def get_pearson_content(book, Chapter):  # noqa
    book_url = get_book_url(book.isbn)
    toc_html = get_toc(book_url)
    chapters = get_chapters_from_toc(toc_html)
    for chapter in chapters:
        Chapter(
            book=book,
            name=chapter['name'],
            number=chapter['number'],
            content=chapter['content']
        ).save()
