from django.contrib import admin

from course_inspector.courses.models import (
    ApprovedCourseRelation,
    Course,
    CourseRelation,
    CurriculumObject,
    University,
)


@admin.register(University)
class UniversityAdmin(admin.ModelAdmin):
    list_display = ('name', 'short_name',)


@admin.register(Course)
class CourseAdmin(admin.ModelAdmin):
    search_fields = ['course_id']
    date_hierarchy = 'created_at'


@admin.register(CourseRelation)
class CourseRelationAdmin(admin.ModelAdmin):
    search_fields = ['parent__course_id', 'child__course_id']


@admin.register(CurriculumObject)
class CurriculumObjectAdmin(admin.ModelAdmin):
    raw_id_fields = ('course', 'book', 'excluded_chapters')


@admin.register(ApprovedCourseRelation)
class ApprovedCourseRelationAdmin(admin.ModelAdmin):
    raw_id_fields = ('course_a', 'course_b')
