import React, { Component } from 'react';

import auth from '../../utils/auth';

import NavItem from '../../components/NavItem';

export class Auth extends Component {
  handleLoginClick(e) {
    e.preventDefault();

    const prevUrl = window.location.pathname;
    window.localStorage.setItem('prevUrl', prevUrl);
    auth.authenticate();
  }

  render() {
    if (auth.getToken()) {
      return <NavItem eventKey={1} to="/logout">Logout</NavItem>;
    }

    return (
      <li className="pointer">
        <a href onClick={(e) => this.handleLoginClick(e)}>Log in</a>
      </li>
    );
  }
}

export default Auth;
