import React, { PropTypes } from 'react';

import Modal from 'react-bootstrap/lib/Modal';
import Button from 'react-bootstrap/lib/Button';


const FancyModal = ({ title, onDismiss, onSubmit, children }) => (
  <div className="static-modal">
    <Modal.Dialog>
      <Modal.Header>
        <Modal.Title>{title}</Modal.Title>
      </Modal.Header>

      <form onSubmit={onSubmit}>
        <Modal.Body>
          { children }
        </Modal.Body>

        <Modal.Footer>
          <Button onClick={onDismiss}>Close</Button>
          <Button type="submit" bsStyle="primary">Save</Button>
        </Modal.Footer>
      </form>

    </Modal.Dialog>
  </div>
);

FancyModal.propTypes = {
  onDismiss: PropTypes.func.isRequired,
  onSubmit: PropTypes.func.isRequired,
  title: PropTypes.string,
  children: PropTypes.array,
};

export default FancyModal;
