import React, { PropTypes } from 'react';

import { Link } from 'react-router';

const Navitem = ({ className, to, children }) => (
  <li
    className={className ? `pointer ${className}` : 'pointer'}
  >
    <Link
      className="nav-link" to={to}
      activeClassName="active"
    > { children }
    </Link>
  </li>
);

Navitem.propTypes = {
  to: PropTypes.string,
  className: PropTypes.string,
  children: PropTypes.node,
};

export default Navitem;
