import { fromJS } from 'immutable';
import {
  REQUEST_ADD_CURRICULUM,
  REQUEST_ADD_CURRICULUM_SUCCESS,
  REQUEST_ADD_CURRICULUM_FAILED,
} from './constants';

const initialState = fromJS({
  requestingAddCurriculum: false,
  addCurriculumSuccess: false,
  addCurriculumFailed: false,
});

export default function (state = initialState, action) {
  switch (action.type) {
    case REQUEST_ADD_CURRICULUM:
      return state
        .set('requestingAddCurriculum', true)
        .set('addCurriculumFailed', false);
    case REQUEST_ADD_CURRICULUM_FAILED:
      return state
        .set('requestingAddCurriculum', false)
        .set('addCurriculumFailed', true);
    case REQUEST_ADD_CURRICULUM_SUCCESS:
      return state
        .set('requestingAddCurriculum', false)
        .set('addCurriculumSuccess', true);
    default:
      return state;
  }
}
