import { call, put } from 'redux-saga/effects';
import { takeLatest } from 'redux-saga';

import request from 'utils/request';
import { REQUEST_ADD_CURRICULUM } from './constants';
import {
  addCurriculumSuccess,
  addCurriculumFailed,
} from './actions';


export function* addCurriculum({ isbn }) {
  const url = 'http://localhost:8000/v1/curriculum/';
  const options = {
    headers: {
      Accept: 'application/json',
      'Content-Type': 'application/json',
    },
    method: 'post',
    body: JSON.stringify(isbn),
  };

  const res = yield call(request, url, options);
  if (res.err) {
    return yield put(addCurriculumFailed());
  }
  return yield put(addCurriculumSuccess(res.data));
}

export function* addCurriculumWatcher() {
  yield takeLatest(REQUEST_ADD_CURRICULUM, addCurriculum);
}

export default [
  addCurriculumWatcher,
];
