import React, { Component, PropTypes } from 'react';
import { connect } from 'react-redux';

import auth from '../../utils/auth';

import selectAuthWrapper from './selectors';
import { loadGroups } from './actions';

export const authenticated = (WrappedComponent) => {
  class AuthenticationWrapper extends Component {
    componentWillMount() {
      if (auth.getToken()) {
        this.props.dispatch(loadGroups());
      }
    }

    render() {
      return <WrappedComponent {...this.props} />;
    }
  }

  AuthenticationWrapper.propTypes = {
    dispatch: PropTypes.func,
  };

  const mapStateToProps = selectAuthWrapper();

  return connect(mapStateToProps)(AuthenticationWrapper);
};
