import { fromJS } from 'immutable';
import {
  LOAD_GROUPS,
  LOAD_GROUPS_SUCCESS,
  LOAD_GROUPS_FAILED,
} from './constants';

const initialState = fromJS({
  loading: false,
  error: false,
  groups: [],
  admin: false,
});

export default function (state = initialState, action) {
  switch (action.type) {
    case LOAD_GROUPS:
      return state
        .set('loading', true)
        .set('error', false);
    case LOAD_GROUPS_SUCCESS:
      return state
        .set('loading', false)
        .set('error', false)
        .set('groups', action.groups)
        .set('admin', action.admin);
    case LOAD_GROUPS_FAILED:
      return state
        .set('loading', false)
        .set('error', true);
    default:
      return state;
  }
}
