import { take, call, put } from 'redux-saga/effects';

import api from 'utils/api';
import { LOAD_GROUPS } from './constants';
import {
  loadGroupsSuccess,
  loadGroupsError,
} from './actions';

const isAdmin = (groups) => {
  const ADMIN_GROUP = 'fc:adhoc:e15b61b7-fd9e-44d4-a649-c1f29315c8f5';
  return !!groups.some((group) => group.id === ADMIN_GROUP);
};


export function* getGroups() {
  const res = yield call(api.getUserData);
  if (res.err) {
    return yield put(loadGroupsError());
  }

  const groups = res.data;
  return yield put(loadGroupsSuccess(groups, isAdmin(groups)));
}

export function* getGroupsWatcher() {
  yield take(LOAD_GROUPS);
  yield call(getGroups);
}

export default [
  getGroupsWatcher,
];
