import {
  LOAD_COMPARE_COURSES,
  LOAD_COMPARE_COURSES_SUCCESS,
  LOAD_COMPARE_COURSES_FAILED,
  REQUEST_ADD_APPROVED,
  REQUEST_ADD_APPROVED_SUCCESS,
  REQUEST_ADD_APPROVED_FAILED,
  REQUEST_REMOVE_APPROVED,
  REQUEST_REMOVE_APPROVED_SUCCESS,
  REQUEST_REMOVE_APPROVED_FAILED,
} from './constants';

// Course
export function loadCompareCourses(id1, id2) {
  return {
    type: LOAD_COMPARE_COURSES,
    id1,
    id2,
  };
}

export function compareCoursesLoaded(course1, course2, similarity) {
  return {
    type: LOAD_COMPARE_COURSES_SUCCESS,
    course1,
    course2,
    similarity,
  };
}

export function compareCoursesError() {
  return {
    type: LOAD_COMPARE_COURSES_FAILED,
  };
}

// Approved
export function requestAddApproved(from, to) {
  return {
    type: REQUEST_ADD_APPROVED,
    from,
    to,
  };
}

export function requestAddApprovedSuccess(id) {
  return {
    type: REQUEST_ADD_APPROVED_SUCCESS,
    id,
  };
}

export function requestAddApprovedFailure() {
  return {
    type: REQUEST_ADD_APPROVED_FAILED,
  };
}

export function requestRemoveApproved(from, to) {
  return {
    type: REQUEST_REMOVE_APPROVED,
    from,
    to,
  };
}

export function requestRemoveApprovedSuccess(id) {
  return {
    type: REQUEST_REMOVE_APPROVED_SUCCESS,
    id,
  };
}

export function requestRemoveApprovedFailure() {
  return {
    type: REQUEST_REMOVE_APPROVED_FAILED,
  };
}
