import { fromJS } from 'immutable';
import {
  LOAD_COMPARE_COURSES,
  LOAD_COMPARE_COURSES_SUCCESS,
  LOAD_COMPARE_COURSES_FAILED,
  REQUEST_ADD_APPROVED,
  REQUEST_ADD_APPROVED_SUCCESS,
  REQUEST_ADD_APPROVED_FAILED,
} from './constants';

const initialState = fromJS({
  loading: false,
  error: false,
  course1: {},
  course2: {},
  similarity: {},

  requestingAddApproved: false,
  requestingAddApprovedSuccess: false,
  requestingAddApprovedFailure: false,
});

export default function (state = initialState, action) {
  // Course
  switch (action.type) {
    case LOAD_COMPARE_COURSES:
      return state
        .set('loading', true)
        .set('course', {})
        .set('error', false);
    case LOAD_COMPARE_COURSES_SUCCESS:
      return state
        .set('loading', false)
        .set('error', false)
        .set('course1', action.course1)
        .set('course2', action.course2)
        .set('similarity', action.similarity);
    case LOAD_COMPARE_COURSES_FAILED:
      return state
        .set('loading', false)
        .set('error', true);
    case REQUEST_ADD_APPROVED:
      return state
        .set('requestingAddApproved', true)
        .set('requestingAddApprovedFailure', false);
    case REQUEST_ADD_APPROVED_SUCCESS:
      return state
        .set('requestingAddApproved', false)
        .set('requestingAddApprovedSuccess', true);
    case REQUEST_ADD_APPROVED_FAILED:
      return state
        .set('requestingAddApproved', false)
        .set('requestingAddApprovedFailure', true);
    default:
      return state;
  }
}
