import React, { PropTypes } from 'react';

import { Link } from 'react-router';

import Panel from 'react-bootstrap/lib/Panel';
import Table from 'react-bootstrap/lib/Table';
import Button from 'react-bootstrap/lib/Button';


const SimilarTab = ({ courses }) => (
  <div style={{ paddingTop: '1rem' }}>
    <Panel header="Courses">
      <Table responsive>
        <thead>
          <tr>
            <th>Course code</th>
            <th>Course name</th>
            <th>University</th>
            <th>Suggested similarity</th>
          </tr>
        </thead>
        <tbody>
          {courses.map((course, key) => (
            <tr key={key}>
              <td>
                <Link to={`/course/${course.university_short_name}/${course.code}`}>
                  {course.code}
                </Link>
              </td>
              <td>
                <Link to={`/course/${course.university_short_name}/${course.code}`}>
                  {course.name}
                </Link>
              </td>
              <td>{course.university}</td>
              <td>{parseFloat(course.score * 100).toFixed(2)}%</td>
            </tr>
          ))}
        </tbody>
      </Table>
    </Panel>

    <div className="text-center">
      <h5>Find similar courses</h5>
      <Button disabled>Search</Button>
    </div>
  </div>
);

SimilarTab.propTypes = {
  courses: PropTypes.array,
};

export default SimilarTab;
