import {
  LOAD_COURSE,
  LOAD_COURSE_SUCCESS,
  LOAD_COURSE_FAILED,
  LOAD_SIMILAR_COURSES,
  LOAD_SIMILAR_COURSES_SUCCESS,
  LOAD_SIMILAR_COURSES_FAILED,
  REQUEST_ADD_PREREQ,
  REQUEST_ADD_PREREQ_SUCCESS,
  REQUEST_ADD_PREREQ_FAILED,
  REQUEST_REMOVE_PREREQ,
  REQUEST_REMOVE_PREREQ_SUCCESS,
  REQUEST_REMOVE_PREREQ_FAILED,
  REQUEST_ADD_APPROVED,
  REQUEST_ADD_APPROVED_SUCCESS,
  REQUEST_ADD_APPROVED_FAILED,
  REQUEST_REMOVE_APPROVED,
  REQUEST_REMOVE_APPROVED_SUCCESS,
  REQUEST_REMOVE_APPROVED_FAILED,
  REQUEST_UPDATE_COURSE,
  REQUEST_UPDATE_COURSE_SUCCESS,
  REQUEST_UPDATE_COURSE_FAILED,
} from './constants';

// Course
export function loadCourse(id, university) {
  return {
    type: LOAD_COURSE,
    id,
    university,
  };
}

export function courseLoaded(course) {
  return {
    type: LOAD_COURSE_SUCCESS,
    course,
  };
}

export function courseError() {
  return {
    type: LOAD_COURSE_FAILED,
  };
}

// Similar courses
export function loadSimilar(id, university) {
  return {
    type: LOAD_SIMILAR_COURSES,
    id,
    university,
  };
}

export function similarLoaded(similar) {
  return {
    type: LOAD_SIMILAR_COURSES_SUCCESS,
    similar,
  };
}

export function similarError() {
  return {
    type: LOAD_SIMILAR_COURSES_FAILED,
  };
}

// Prerequisites
export function requestAddPrereq(from, to) {
  return {
    type: REQUEST_ADD_PREREQ,
    from,
    to,
  };
}

export function requestAddPrereqSuccess(id) {
  return {
    type: REQUEST_ADD_PREREQ_SUCCESS,
    id,
  };
}

export function requestAddPrereqFailure() {
  return {
    type: REQUEST_ADD_PREREQ_FAILED,
  };
}

export function requestRemovePrereq(from, to) {
  return {
    type: REQUEST_REMOVE_PREREQ,
    from,
    to,
  };
}

export function requestRemovePrereqSuccess(id) {
  return {
    type: REQUEST_REMOVE_PREREQ_SUCCESS,
    id,
  };
}

export function requestRemovePrereqFailure() {
  return {
    type: REQUEST_REMOVE_PREREQ_FAILED,
  };
}

// Approved
export function requestAddApproved(from, to) {
  return {
    type: REQUEST_ADD_APPROVED,
    from,
    to,
  };
}

export function requestAddApprovedSuccess(id) {
  return {
    type: REQUEST_ADD_APPROVED_SUCCESS,
    id,
  };
}

export function requestAddApprovedFailure() {
  return {
    type: REQUEST_ADD_APPROVED_FAILED,
  };
}

export function requestRemoveApproved(from, to) {
  return {
    type: REQUEST_REMOVE_APPROVED,
    from,
    to,
  };
}

export function requestRemoveApprovedSuccess(id) {
  return {
    type: REQUEST_REMOVE_APPROVED_SUCCESS,
    id,
  };
}

export function requestRemoveApprovedFailure() {
  return {
    type: REQUEST_REMOVE_APPROVED_FAILED,
  };
}

// Edit course
export function updateCourse(course) {
  return {
    type: REQUEST_UPDATE_COURSE,
    course,
  };
}

export function requestUpdateCourseSuccess(id) {
  return {
    type: REQUEST_UPDATE_COURSE_SUCCESS,
    id,
  };
}

export function requestUpdateCourseFailed() {
  return {
    type: REQUEST_UPDATE_COURSE_FAILED,
  };
}
