import { createSelector } from 'reselect';


const selectCourseDetailsDomain = () => (state) => state.get('courseDetails');


const selectCourseLoading = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('loading')
);

const selectCourse = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => Object.assign(courseDetails.get('course'), {
    similarCourses: {
      data: courseDetails.get('similarCourses').toJS(),
      isLoading: courseDetails.get('similarLoading'),
      error: courseDetails.get('similarError'),
    },
  })
);

const selectCourseError = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('error')
);


const selectSimilarLoading = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('similarLoading')
);

const selectSimilarCourses = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('similarCourses').toJS()
);

const selectSimilarError = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('similarError')
);

const selectRequestingAddPrereqSuccess = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('requestingAddPrereqSuccess')
);

const selectRequestingAddApprovedSuccess = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('requestingAddApprovedSuccess')
);

const selectRequestingUpdateCourse = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('requestingUpdateCourse')
);

const selectUpdateCourseSuccess = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('requestingUpdateCourseSuccess')
);

const selectUpdateCourseFailed = () => createSelector(
  selectCourseDetailsDomain(),
  (courseDetails) => courseDetails.get('requestingUpdateCourseFailure')
);

export {
  selectCourseDetailsDomain,
  selectCourse,
  selectCourseLoading,
  selectCourseError,
  selectSimilarCourses,
  selectSimilarError,
  selectSimilarLoading,
  selectRequestingAddPrereqSuccess,
  selectRequestingAddApprovedSuccess,
  selectRequestingUpdateCourse,
  selectUpdateCourseSuccess,
  selectUpdateCourseFailed,
};
