import { fromJS } from 'immutable';
import {
  LOAD_COURSE_LIST,
  LOAD_COURSE_LIST_SUCCESS,
  LOAD_COURSE_LIST_FAILED,
} from './constants';

const initiaState = fromJS({
  loading: false,
  error: false,
  courses: null,
});

function frontPageReducer(state = initiaState, action) {
  switch (action.type) {
    case LOAD_COURSE_LIST:
      return state
        .set('loading', true)
        .set('error', false);
    case LOAD_COURSE_LIST_SUCCESS:
      return state
        .set('loading', false)
        .set('error', false)
        .set('courses', action.courses);
    case LOAD_COURSE_LIST_FAILED:
      return state
        .set('loading', false)
        .set('error', true);
    default:
      return state;
  }
}

export default frontPageReducer;
