import { call, put } from 'redux-saga/effects';
import { takeLatest } from 'redux-saga';

import api from 'utils/api';
import { LOAD_COURSE_LIST } from './constants';
import {
  courseListLoaded,
  courseListError,
} from './actions';


export function* getCourseList({ query }) {
  const res = yield call(api.getCourseList, query);
  if (res.err) {
    return yield put(courseListError());
  }
  return yield put(courseListLoaded(res.data.result));
}

export function* getCourseListWatcher() {
  yield takeLatest(LOAD_COURSE_LIST, getCourseList);
}

export default [
  getCourseListWatcher,
];
