import { createSelector } from 'reselect';

/**
 * Direct selector to the frontPage state domain
 */
const selectFrontPageDomain = () => (state) => state.get('courseList');

/**
 * Other specific selectors
 */


/**
 * Default selector used by FrontPage
 */

const selectCourseListLoading = () => createSelector(
  selectFrontPageDomain(),
  (frontPage) => frontPage.get('loading')
);

const selectCourseList = () => createSelector(
  selectFrontPageDomain(),
  (frontPage) => frontPage.get('courses')
);

const selectCourseListError = () => createSelector(
  selectFrontPageDomain(),
  (frontPage) => frontPage.get('error')
);

export {
  selectFrontPageDomain,
  selectCourseList,
  selectCourseListLoading,
  selectCourseListError,
};
