import React, { Component, PropTypes } from 'react';
import { connect } from 'react-redux';

import { AsyncTypeahead } from 'react-bootstrap-typeahead';

import selectCourseSearch from './selectors';
import { loadCourseList } from './actions';

export class CourseSearch extends Component {
  handleSearch(query) {
    this.props.dispatch(loadCourseList(query));
  }

  handleChange(courses) {
    this.props.handleChange(courses[0]);
  }

  render() {
    return (
      <div>
        <AsyncTypeahead
          onSearch={(query) => this.handleSearch(query)}
          options={this.props.courses}
          labelKey={(option) => `${option.course_id} ${option.name}, ${option.university.name}`}
          maxResults={10}
          onChange={(c) => this.handleChange(c)}
        />
      </div>
    );
  }
}

CourseSearch.propTypes = {
  dispatch: PropTypes.func,
  courses: PropTypes.array,
  handleChange: PropTypes.func.isRequired,
};

const mapStateToProps = selectCourseSearch();

export default connect(mapStateToProps)(CourseSearch);
