import { fromJS } from 'immutable';
import {
  LOAD_UNIVERSITY_LIST,
  LOAD_UNIVERSITY_LIST_SUCCESS,
  LOAD_UNIVERSITY_LIST_FAILED,
  REQUEST_CREATE_COURSE,
  REQUEST_CREATE_COURSE_SUCCESS,
  REQUEST_CREATE_COURSE_FAILED,
} from './constants';

const initialState = fromJS({
  fetchingUniversities: false,
  fetchingUniversitiesError: false,
  universities: [],
  requestingCreateCourse: false,
  createCourseSuccess: false,
  createCourseFailed: false,
  courseId: null,
});

export default function (state = initialState, action) {
  switch (action.type) {
    case LOAD_UNIVERSITY_LIST:
      return state
        .set('fetchingUniversities', true)
        .set('fetchingUniversitiesError', false);
    case LOAD_UNIVERSITY_LIST_SUCCESS:
      return state
        .set('fetchingUniversities', false)
        .set('universities', state.get('universities').concat(action.universities));
    case LOAD_UNIVERSITY_LIST_FAILED:
      return state
        .set('fetchingUniversities', false)
        .set('fetchingUniversitiesError', true);

    case REQUEST_CREATE_COURSE:
      return state
        .set('requestingCreateCourse', true)
        .set('createCourseFailed', false);
    case REQUEST_CREATE_COURSE_SUCCESS:
      return state
        .set('requestingCreateCourse', false)
        .set('courseId', action.id)
        .set('createCourseSuccess', true);
    case REQUEST_CREATE_COURSE_FAILED:
      return state
        .set('requestingCreateCourse', false)
        .set('createCourseFailed', true);
    default:
      return state;
  }
}
