import { createSelector } from 'reselect';


const selectCourseDetailsDomain = () => (state) => state.get('createCourse');


const selectFetchingUniversities = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('fetchingUniversities')
);

const selectUniversities = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('universities').toJS()
);

const selectFetchingUniversitiesError = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('fetchingUniversitiesError')
);

const selectRequestingCreateCourse = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('requestingCreateCourse')
);

const selectCreateCourseSuccess = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('createCourseSuccess')
);

const selectCreateCourseFailed = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('createCourseFailed')
);

const selectCourseId = () => createSelector(
  selectCourseDetailsDomain(),
  (createCourse) => createCourse.get('courseId')
);

export {
  selectCourseDetailsDomain,
  selectUniversities,
  selectFetchingUniversities,
  selectFetchingUniversitiesError,
  selectRequestingCreateCourse,
  selectCreateCourseSuccess,
  selectCreateCourseFailed,
  selectCourseId,
};
