import { fromJS } from 'immutable';
import {
  REQUEST_CREATE_UNIVERSITY,
  REQUEST_CREATE_UNIVERSITY_SUCCESS,
  REQUEST_CREATE_UNIVERSITY_FAILED,
} from './constants';

const initialState = fromJS({
  requestingCreateUniversity: false,
  createUniversitySuccess: false,
  createUniversityFailed: false,
});

function createUniversityReducer(state = initialState, action) {
  switch (action.type) {
    case REQUEST_CREATE_UNIVERSITY:
      return state
        .set('requestingCreateUniversity', true)
        .set('createUniversityFailed', false);
    case REQUEST_CREATE_UNIVERSITY_SUCCESS:
      return state
        .set('requestingCreateUniversity', false)
        .set('createUniversitySuccess', true);
    case REQUEST_CREATE_UNIVERSITY_FAILED:
      return state
        .set('requestingCreateUniversity', false)
        .set('createUniversityFailed', true);
    default:
      return state;
  }
}

export default createUniversityReducer;
