import { call, put, take } from 'redux-saga/effects';

import api from 'utils/api';
import { REQUEST_CREATE_UNIVERSITY } from './constants';
import {
  requestCreateUniversitySuccess,
  requestCreateUniversityFailed,
} from './actions';

export function* createUniversity({ university }) {
  const res = yield call(api.createUniversity, university);
  if (res.err) {
    return yield put(requestCreateUniversityFailed());
  }

  return yield put(requestCreateUniversitySuccess(res.data.id));
}

export function* createUniversityWatcher() {
  const action = yield take(REQUEST_CREATE_UNIVERSITY);
  yield call(createUniversity, action);
}

export default [
  createUniversityWatcher,
];
