import { fromJS } from 'immutable';
import {
  LOAD_SEARCH_RESULTS,
  LOAD_SEARCH_RESULTS_SUCCESS,
  LOAD_SEARCH_RESULTS_FAILED,
} from './constants';

const initialState = fromJS({
  loading: false,
  error: false,
  courses: null,
});

function searchResultsReducer(state = initialState, action) {
  switch (action.type) {
    case LOAD_SEARCH_RESULTS:
      return state
        .set('loading', true)
        .set('error', false);
    case LOAD_SEARCH_RESULTS_SUCCESS:
      return state
        .set('loading', false)
        .set('error', false)
        .set('courses', action.courses);
    case LOAD_SEARCH_RESULTS_FAILED:
      return state
        .set('loading', false)
        .set('error', true);
    default:
      return state;
  }
}

export default searchResultsReducer;
