import { call, put } from 'redux-saga/effects';
import { takeLatest } from 'redux-saga';

import api from 'utils/api';

import { LOAD_SEARCH_RESULTS } from './constants';
import {
  searchResultsLoaded,
  searchResultsError,
} from './actions';


export function* getSearchResults({ courseId, toUniversity }) {
  const res = yield call(api.getSearchResults, courseId, toUniversity);
  if (res.err) {
    return yield put(searchResultsError());
  }
  return yield put(searchResultsLoaded(res.data.similar_courses.res));
}

export function* getSearchResultsWatcher() {
  yield takeLatest(LOAD_SEARCH_RESULTS, getSearchResults);
}

export default [
  getSearchResultsWatcher,
];
