import { createSelector } from 'reselect';

/**
 * Direct selector to the frontPage state domain
 */
const selectSearchResultsDomain = () => (state) => state.get('searchResults');

/**
 * Other specific selectors
 */


/**
 * Default selector used by FrontPage
 */

const selectSearchResultsLoading = () => createSelector(
  selectSearchResultsDomain(),
  (searchResults) => searchResults.get('loading')
);

const selectSearchResults = () => createSelector(
  selectSearchResultsDomain(),
  (searchResults) => searchResults.get('courses')
);

const selectSearchResultsError = () => createSelector(
  selectSearchResultsDomain(),
  (searchResults) => searchResults.get('error')
);

export {
  selectSearchResultsDomain,
  selectSearchResults,
  selectSearchResultsLoading,
  selectSearchResultsError,
};
