import React from 'react';

import { Link } from 'react-router';

import Row from 'react-bootstrap/lib/Row';
import Grid from 'react-bootstrap/lib/Grid';
import Col from 'react-bootstrap/lib/Col';
import Button from 'react-bootstrap/lib/Button';
import Well from 'react-bootstrap/lib/Well';

const StartPage = () => {
  const wellStyle = {
    minHeight: '220px',
  };

  const paddingStyle = {
    paddingTop: '10px',
    paddingBottom: '10px',
  };

  return (
    <Grid>
      <Row>
        <Col xs={3} xsOffset={2} sm={5} smOffset={1}>
          <Well style={wellStyle} bsSize="large">
            <h2>All courses</h2>
            <p style={paddingStyle}>
              View a list of all courses.
              This includes courses from all universities
            </p>
            <Link to="/list">
              <Button bsSize="large" bsStyle="primary" block>
                View list
              </Button>
            </Link>
          </Well>
        </Col>
        <Col xs={3} xsOffset={2} sm={5} smOffset={1}>
          <Well style={wellStyle} bsSize="large">
            <h2>Find similar courses</h2>
            <p style={paddingStyle}>Find courses that are similar to any given course</p>
            <Link to="/similar">
              <Button bsSize="large" bsStyle="primary" block>
                Search
              </Button>
            </Link>
          </Well>
        </Col>
      </Row>
      <Row>
        <Col xs={3} xsOffset={2} sm={5} smOffset={1}>
          <Well style={wellStyle} bsSize="large">
            <h2>Compare courses</h2>
            <p style={paddingStyle}>Directly compare a course to another</p>
            <Link to="/compare">
              <Button bsSize="large" bsStyle="primary" block>
                Compare
              </Button>
            </Link>
          </Well>
        </Col>
      </Row>
    </Grid>
  );
};

export default StartPage;
