import JSO, { store } from 'jso';


const redirectURI = process.env.NODE_ENV === 'development' ? 'http://localhost:3000/oauth/callback' : 'https://courses.royrvik.org/oauth/callback';
const jso = new JSO({
  providerID: 'dataporten',
  client_id: 'b0fdb22c-c58e-4f2f-b369-54981fb6aa77',
  redirect_uri: redirectURI,
  authorization: 'https://auth.dataporten.no/oauth/authorization',
  scopes: {},
  debug: false,
});


const getToken = () => {
  // eslint-disable-next-line no-underscore-dangle
  const scopesRequire = jso._getRequiredScopes();
  return store.getToken(jso.providerID, scopesRequire);
};


const authenticate = () => new Promise((resolve) => {
  jso.getToken(() => resolve());
});


export default {
  jso,
  getToken,
  authenticate,
};
